This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 188821 - CVE-2006-1740 Secure-site spoof (requires security warning dialog)
CVE-2006-1740 Secure-site spoof (requires security warning dialog)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 23:15 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 08:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 23:15:36 EDT
Secure-site spoof (requires security warning dialog)


Tristor reports that it was possible to spoof the browser's secure-site
indicators (the lock icon, the site name in the URL field, the gold URL
field background in Firefox) by first loading the target secure site in a
pop-up window, then changing its location to a different site.

If the user has turned on the "Entering secure site" modal warning dialog
then the window location can be changed while that dialog is displayed and
the secure-browsing indicators from the original site will remain.

These dialogs are turned off by default in Firefox, and most Suite users
click the checkbox to turn them off.

Workaround

Turn  off the "Entering encrypted site" warning dialog if you have not
already.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=271194


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-27 08:51:33 EDT
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4

Note You need to log in before you can comment on or make changes to this bug.